import { EventEmitter } from '../../stencil.core';
export declare class Alert {
    element: HTMLElement;
    collapsedClass: any;
    /**
     * Sets the alert context
     * Options are: `"info"`, "success"`, `"danger"`, `"warning"`, and `"primary"`.
     * Default value is: 'info'
     */
    context: string;
    /**
     * Fires when the button is focused
     */
    anjAlertWillDismiss: EventEmitter<void>;
    onDismiss(): void;
    onCollapseEvent(collapse: CustomEvent): void;
    render(): any;
}
